/* epd0.h - Instantiate E-Paper Display 0 */

#ifndef EPD0_H_
#define EPD0_H_

/* Includes */
#include <stdio.h>
#include "pico/stdlib.h"
#include "hardware/spi.h"
#include "epd/epd.h"

/* Definitions */
#define EPD0_SPI_PORT spi0
#define EPD0_PIN_SCK  2
#define EPD0_PIN_MOSI 3
#define EPD0_PIN_MISO 4
#define EPD0_PIN_CS   5
#define EPD0_PIN_DC   6
#define EPD0_PIN_RST  7
#define EPD0_PIN_BUSY 8

/* Data Structures */

/* Global Variables */
extern epd_t epd0;

/* Function Prototypes */
void epd0_init();

#endif /* EPD0_H_ */
